VOP_UPDATE(9)

NAME
VOP_UPDATE - update the on-disc version of a vnode

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
int
VOP_UPDATE(struct vnode *vp, struct timeval *access, struct timeval *modify, int waitfor);

DESCRIPTION

The arguments are:

vp  The file to update.

access
    The new accessed time for the file.

modify
    The new modified time for the file.

waitfor
    Wait for I/O to complete if true.

The accessed and modified of the file are set and the on-disc version of the vnode is updated. This call is used internally by the UFS filesystem.

RETURN VALUES
Zero is returned on success, otherwise an error is returned.

SEE ALSO
vnode(9), VOP_SETATTR(9)

AUTHORS
This man page was written by Doug Rabson.